Page MenuHomePhabricator

[Regression wmf.4] Cannot open save dialog in a session which followed immediately after a successful save with VE; event not re-attached?
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce:

  1. Open a page with VE
  2. Make some edit
  3. Save the page
  4. Edit gets saved succesfully
  5. Now re-open the page

6, Make some more edit

  1. Click on "Save Page"

Observed Result:
Unable to save the edit

Event Timeline

Ryasmeen created this task.May 27 2016, 4:42 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 27 2016, 4:42 PM
Ryasmeen renamed this task from [Regression pre-wmf.4] Cannot save the edit after adding an external link in a page with VE to [Regression pre-wmf.4] Cannot save the edit done in a session which followed immediately after a successful save with VE.May 27 2016, 4:56 PM
Ryasmeen updated the task description. (Show Details)
Elitre added a subscriber: Elitre.May 27 2016, 4:56 PM

Did this on both test2 and en, couldn't reproduce?

yeah, this is still on Beta custer (pre-wmf.4)

Elitre added a comment.EditedMay 27 2016, 5:01 PM

Tried even after you updated the description, though. The only thing I could see there was that I got the editor changed to WT without me doing nothing (unless looking at the history changes your default editor).

Yes, I am noticing that second problem too, trying to find the steps.

Did you try to reproduce the bug on beta cluster though? The bug is not yet on test2, your link takes me to a page in test2 and it works fine there.

thanks, you're right about the beta cluster thing.

Ryasmeen triaged this task as High priority.May 30 2016, 5:47 PM
Jdforrester-WMF raised the priority of this task from High to Unbreak Now!.May 31 2016, 7:27 PM
Jdforrester-WMF set the point value for this task to 1.
Restricted Application added subscribers: Luke081515, TerraCodes, Urbanecm. · View Herald TranscriptMay 31 2016, 7:27 PM
Jdforrester-WMF renamed this task from [Regression pre-wmf.4] Cannot save the edit done in a session which followed immediately after a successful save with VE to [Regression pre-wmf.4] Cannot open save dialog in a session which followed immediately after a successful save with VE; event not re-attached?.May 31 2016, 7:28 PM
Jdforrester-WMF assigned this task to Esanders.

FYI, this is now happening on mw.org

Jdforrester-WMF renamed this task from [Regression pre-wmf.4] Cannot open save dialog in a session which followed immediately after a successful save with VE; event not re-attached? to [Regression wmf.4] Cannot open save dialog in a session which followed immediately after a successful save with VE; event not re-attached?.Jun 1 2016, 4:26 PM
Krinkle added a subscriber: Krinkle.Jun 1 2016, 4:33 PM

Change 292176 had a related patch set uploaded (by Esanders):
Simplify teardown of toolbar save button

https://gerrit.wikimedia.org/r/292176

Change 292176 merged by jenkins-bot:
Simplify teardown of toolbar save button

https://gerrit.wikimedia.org/r/292176

Change 292185 had a related patch set uploaded (by Jforrester):
Simplify teardown of toolbar save button

https://gerrit.wikimedia.org/r/292185

Change 292185 merged by jenkins-bot:
Simplify teardown of toolbar save button

https://gerrit.wikimedia.org/r/292185

Change 292194 had a related patch set uploaded (by Jforrester):
Update VE-MW submodule to wmf/1.28.0-wmf.4 HEAD (78f8120)

https://gerrit.wikimedia.org/r/292194

Jdforrester-WMF closed this task as Resolved.Jun 1 2016, 6:22 PM
Jdforrester-WMF removed a project: Patch-For-Review.

Change 292194 merged by jenkins-bot:
Update VE-MW submodule to wmf/1.28.0-wmf.4 HEAD (78f8120)

https://gerrit.wikimedia.org/r/292194

Mentioned in SAL [2016-06-01T23:26:36Z] <dereckson@tin> Synchronized php-1.28.0-wmf.4/extensions/VisualEditor/modules/ve-mw/init/targets/ve.init.mw.DesktopArticleTarget.js: Simplify teardown of toolbar save button (T136421) (duration: 00m 23s)